<?xml version="1.0" encoding="UTF-8"?>
<!-- (c) https://github.com/MontiCore/monticore -->

<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <pluginGroups>
	<pluginGroup>org.mortbay.jetty</pluginGroup>
	<pluginGroup>de.topobyte</pluginGroup>
  </pluginGroups>

  <proxies>
  </proxies>

  <servers>
    <server>
      <id>se-nexus</id>
      <username>cibuild</username>
      <password>${env.cibuild}</password>
    </server> 

     <server>
      <id>github</id>
      <username>travisbuilduser</username>
      <password>${env.travisbuilduserpassword}</password>
    </server>
  </servers>

  <mirrors>
    <mirror>
      <id>se-nexus</id>
      <mirrorOf>external:*</mirrorOf>
      <url>https://nexus.se.rwth-aachen.de/content/groups/public</url>
    </mirror>	 
    <mirror>
      <id>topobyte-repository</id>
      <mirrorOf>topobyte</mirrorOf>
      <url>http://mvn.topobyte.de/</url>
    </mirror>	 
  </mirrors>

  <profiles>

    <profile>
      <id>se-nexus</id>
      <repositories>
        <repository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled /></releases>
          <snapshots><enabled /></snapshots>
        </repository>
        <repository>
                    <id>central</id>
                    <url>https://repo1.maven.org/maven2</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>eclipse</id>
                    <url>https://repo.eclipse.org/content/groups/releases/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>
                <repository>
                    <id>jcenter</id>
                    <url>https://jcenter.bintray.com/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>

        <repository>
                    <id>topobyte</id>
                    <url>http://mvn.topobyte.de/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </repository>

      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled /></releases>
          <snapshots><enabled /></snapshots>
        </pluginRepository>
        <pluginRepository>
                    <id>central</id>
                    <url>https://repo1.maven.org/maven2</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
                <pluginRepository>
                    <id>eclipse</id>
                    <url>https://repo.eclipse.org/content/groups/releases/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>
                <pluginRepository>
                    <id>jcenter</id>
                    <url>https://jcenter.bintray.com/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>

      <pluginRepository>
                    <id>topobyte</id>
                    <url>http://mvn.topobyte.de/</url>
                    <releases>
                        <enabled>true</enabled>
                    </releases>
                    <snapshots>
                        <enabled>true</enabled>
                    </snapshots>
                </pluginRepository>

      </pluginRepositories>
      
    </profile>
  </profiles>

  <activeProfiles>
    <activeProfile>se-nexus</activeProfile>
  </activeProfiles>  
</settings>
